Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.ui
Class ObjectTreeNode

    java.lang.Object
      net.sf.j3d.ui.ObjectTreeNode

All Implemented Interfaces:
  TreeNode, net.sf.j3d.physics.pfield.util.Length

    public class ObjectTreeNode

extends Object
implements TreeNode, net.sf.j3d.physics.pfield.util.Length

Constructor Summary
`ObjectTreeNode(ObjectTreeNode parent, Method m)`
`ObjectTreeNode(ObjectTreeNode parent, Object o, boolean leaf)`

Method Summary
`void` | `addChildMethod(Method m)`
`void` | `addChildObject(Object o)`
`Enumeration` | `children()`
`boolean` | `getAllowsChildren()`
`Object[]` | `getArrayType()`
`TreeNode` | `getChildAt(int index)`
`int` | `getChildCount()`
`Object[]` | `getChildObjects()`
`int` | `getIndex(TreeNode node)`
`double` | `getMultiplier()`
`Object` | `getObject()`
`TreeNode` | `getParent()`
`boolean` | `isLeaf()`
`void` | `setArrayType(Object[] o)`
`void` | `setMultiplier(double m)`
`void` | `setTarget(Object target)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectTreeNode

    public ObjectTreeNode(ObjectTreeNode parent,
                          Method m)

### ObjectTreeNode

    public ObjectTreeNode(ObjectTreeNode parent,
                          Object o,
                          boolean leaf)

Method Detail

### getObject

    public Object getObject()
                     throws IllegalArgumentException,
                            IllegalAccessException,
                            InvocationTargetException,
                            InstantiationException

  Throws:
    `IllegalArgumentException`
    `IllegalAccessException`
    `InvocationTargetException`
    `InstantiationException`

### setTarget

    public void setTarget(Object target)

### addChildObject

    public void addChildObject(Object o)

### addChildMethod

    public void addChildMethod(Method m)

### getChildObjects

    public Object[] getChildObjects()
                             throws IllegalArgumentException,
                                    IllegalAccessException,
                                    InvocationTargetException,
                                    InstantiationException

  Throws:
    `IllegalArgumentException`
    `IllegalAccessException`
    `InvocationTargetException`
    `InstantiationException`

### setArrayType

    public void setArrayType(Object[] o)

### getArrayType

    public Object[] getArrayType()

### children

    public Enumeration children()

  Specified by:
    `children` in interface `TreeNode`

### getAllowsChildren

    public boolean getAllowsChildren()

  Specified by:
    `getAllowsChildren` in interface `TreeNode`

### getChildAt

    public TreeNode getChildAt(int index)

  Specified by:
    `getChildAt` in interface `TreeNode`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in interface `TreeNode`

### getIndex

    public int getIndex(TreeNode node)

  Specified by:
    `getIndex` in interface `TreeNode`

### getParent

    public TreeNode getParent()

  Specified by:
    `getParent` in interface `TreeNode`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `TreeNode`

### getMultiplier

    public double getMultiplier()

  Specified by:
    `getMultiplier` in interface `net.sf.j3d.physics.pfield.util.Length`

### setMultiplier

    public void setMultiplier(double m)

  Specified by:
    `setMultiplier` in interface `net.sf.j3d.physics.pfield.util.Length`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD